function xah(a,b,d,e){vGd.call(this,a,b,d);this.a=e}
function Eah(){var a;a=new Yrg(5);Sr((jgd(),a.gb),false);return a}
function bhh(a){var b;if(!a.g){b=new Fah((U1i(gee(a.a)),Roj(iee(a.a))));a.g=b}return a.g}
function ahh(a){var b;if(!a.f){b=new xah(FFd(Cce(a.a)),bhh(a),_gh(a),IMg(wde(a.a)));RFd((Dce(a.a),b),OGd(Dce(a.a)));a.f=b}return a.f}
function Fah(){jAf.call(this,g3b,XVd((S5g(),O5g),vM(i2c,fyj,237,[R5g])));this.a=new _5g(g3b,this);this.o="Distributed query engine, that parses, plans and excutes user's SQL commands and provides results"}
I3c(4513,1008,izj,xah);_.Xi=function(){this.A.Cr()};_._i=function(){Ovf(this.a,this)};I3c(4516,2872,jAj,Fah);_.Ch=function(){return aAf(this)};_.zr=function(){return this.a};_.Ar=function(){return i7j};_.Er=function(){return null};_.Hr=function(){var a;a=new $3g(this,i7j,cAf(this,null),this.k,this.s);return new k4g(this,i7j,null,Eah(),a,this.s)};_.Ir=function(){return Eah()};I3c(4586,1,Qzj);_.ud=function(){nHd(this.b,ahh(this.a.a))};var a2b=lOd(4513),b2b=lOd(4516);CAj(mp)(17);